# newrelic_deployment – Notify newrelic about app deployments

- Synopsis

- Parameters

- Examples

- Status

## Synopsis

- Notify newrelic about app deployments (see https://docs.newrelic.com/docs/apm/new-relic-apm/maintenance/deployment-notifications#api)

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
app_name - |  | (one of app_name or application_id are required) The value of app_name in the newrelic.yml file used by the application
application_id - |  | (one of app_name or application_id are required) The application id, found in the URL when viewing the application in RPM
appname - |  | Name of the application
changelog - |  | A list of changes for this deployment
description - |  | Text annotation for the deployment - notes for you
environment - |  | The environment for this deployment
revision - |  | A revision number (e.g., git commit SHA)
token - / required |  | API token, to place in the x-api-key header.
user - |  | The name of the user/process that triggered this deployment

validate_certs
boolean

Choices:
- no
- yes ←

If `no`, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates.

## Examples

    - newrelic_deployment:
        token: AAAAAA
        app_name: myapp
        user: ansible deployment
        revision: '1.0'

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Matt Coddington (@mcodd)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.